(*^
::[	Information =

	"This is a Mathematica Notebook file.  It contains ASCII text, and can be
	transferred by email, ftp, or other text-file transfer utility.  It should
	be read or edited using a copy of Mathematica or MathReader.  If you 
	received this as email, use your mail application or copy/paste to save 
	everything from the line containing (*^ down to the line containing ^*)
	into a plain text file.  On some systems you may have to give the file a 
	name ending with ".ma" to allow Mathematica to recognize it as a Notebook.
	The line below identifies what version of Mathematica created this file,
	but it can be opened using any other version as well.";

	FrontEndVersion = "Macintosh Mathematica Notebook Front End Version 2.2";

	MacintoshStandardFontEncoding; 
	
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e8,  24, "Times"; 
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e6,  18, "Times"; 
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, e6,  14, "Times"; 
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, a20,  18, "Times"; 
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, a15,  14, "Times"; 
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, a12,  12, "Times"; 
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; 
	fontset = input, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L2,  12, "Courier"; 
	fontset = output, output, inactive, noPageBreakInGroup, preserveAspect, groupLikeOutput, M42, N23, L2,  12, "Courier"; 
	fontset = message, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, R65535, L2,  12, "Courier"; 
	fontset = print, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L2,  12, "Courier"; 
	fontset = info, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, B65535, L2,  12, "Courier"; 
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287,  12, "Courier"; 
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic,  10, "Geneva"; 
	fontset = header, inactive, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = leftheader, inactive,  12, "Times"; 
	fontset = footer, inactive, noKeepOnOnePage, preserveAspect, center, M7,  12, "Times"; 
	fontset = leftfooter, inactive, center,  12, "Times"; 
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; 
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	paletteColors = 128; currentKernel; 
]
:[font = title; inactive; preserveAspect]
Generating All Faces of Convex Polytopes:FaceLattice.m
-Mathematica  Package -

Komei Fukuda (University of Tsukuba, Tokyo) 
and 
Vera Rosta (Temple University Japan)
;[s]
3:0,0;56,2;67,1;167,-1;
3:1,25,18,Times,1,24,0,0,0;1,16,12,Times,1,14,0,0,0;1,16,12,Times,3,14,0,0,0;
:[font = text; inactive; preserveAspect]
In this small notebook, we shall explain how to enumerate all faces of a d-dimensional convex polytope using the package FaceLattice.m which is distributed with VertexEnum package. (A convex polytope is a bounded convex polyhedron.)   Since the package FaceLattice.m  automatically reads two other packages, VertexEnum.m and Combinatorica.m, it is important that those packages are available in your computing environment before you try to read in the FaceLattice package.  Combinatorica.m is a standard Mathematica package which is to be in the directory DiscreteMath. 
;[s]
5:0,0;205,2;212,0;504,1;515,0;571,-1;
3:3,13,9,Times,0,12,0,0,0;1,13,9,Times,2,12,0,0,0;1,13,9,Times,1,12,0,0,0;
:[font = input; initialization; preserveAspect]
*)
<<FaceLattice.m;
(*
:[font = input; initialization; preserveAspect]
*)
Off[General::spell];  Off[General::spell1];   
(*
:[font = text; inactive; preserveAspect; startGroup]
Let us first generate randomly a system of linear inequalities: m.x <=b and x>=0 whose solution set  is a 5-dimensional convex polytope with 7 facets.
:[font = input; dontPreserveAspect; startGroup]
size=2;    dim=5;
:[font = input; dontPreserveAspect; startGroup]
m=Table[Table[Random[Integer,{1,5}],{dim}],{size}]
:[font = output; input; inactive; dontPreserveAspect; endGroup]
{{4, 1, 3, 2, 1}, {5, 1, 2, 1, 5}}
;[o]
{{4, 1, 3, 2, 1}, {5, 1, 2, 1, 5}}
:[font = input; dontPreserveAspect; startGroup]
b=Table[Sum[m[[i,j]],{j,dim}],{i,size}]
:[font = output; input; inactive; dontPreserveAspect; endGroup; endGroup]
{11, 14}
;[o]
{11, 14}
:[font = text; inactive; preserveAspect]
Then we compute all vertices of the polytope using the VetexEnumeration function of  VertexEnum package. 
:[font = input; dontPreserveAspect; startGroup]
vlist=VertexEnumeration[m,b]
:[font = output; output; inactive; preserveAspect; endGroup]
{{{0, 0, 0, 0, 0}, {11/4, 0, 0, 0, 0}, {0, 11, 0, 0, 0}, 
   {0, 0, 11/3, 0, 0}, {0, 0, 0, 11/2, 0}, 
   {41/15, 0, 0, 0, 1/15}, {0, 41/4, 0, 0, 3/4}, 
   {0, 0, 41/13, 0, 20/13}, {0, 0, 0, 41/9, 17/9}, 
   {0, 0, 0, 0, 14/5}}, {{1, 2, 3, 4, 5}, {6, 2, 3, 4, 5}, 
   {6, 1, 3, 4, 5}, {6, 2, 1, 4, 5}, {6, 2, 3, 1, 5}, 
   {6, 2, 3, 4, 7}, {6, 1, 3, 4, 7}, {6, 2, 1, 4, 7}, 
   {6, 2, 3, 1, 7}, {1, 2, 3, 4, 7}}}
;[o]
                    11
{{{0, 0, 0, 0, 0}, {--, 0, 0, 0, 0}, {0, 11, 0, 0, 0}, 
                    4
 
          11                   11       41           1
   {0, 0, --, 0, 0}, {0, 0, 0, --, 0}, {--, 0, 0, 0, --}, 
          3                    2        15           15
 
       41        3          41     20             41  17
   {0, --, 0, 0, -}, {0, 0, --, 0, --}, {0, 0, 0, --, --}, 
       4         4          13     13             9   9
 
                14
   {0, 0, 0, 0, --}}, {{1, 2, 3, 4, 5}, {6, 2, 3, 4, 5}, 
                5
 
   {6, 1, 3, 4, 5}, {6, 2, 1, 4, 5}, {6, 2, 3, 1, 5}, 
 
   {6, 2, 3, 4, 7}, {6, 1, 3, 4, 7}, {6, 2, 1, 4, 7}, 
 
   {6, 2, 3, 1, 7}, {1, 2, 3, 4, 7}}}
:[font = input; dontPreserveAspect; startGroup]
activesets=vlist[[2]]
:[font = output; output; inactive; preserveAspect; endGroup]
{{1, 2, 3, 4, 5}, {6, 2, 3, 4, 5}, {6, 1, 3, 4, 5}, 
  {6, 2, 1, 4, 5}, {6, 2, 3, 1, 5}, {6, 2, 3, 4, 7}, 
  {6, 1, 3, 4, 7}, {6, 2, 1, 4, 7}, {6, 2, 3, 1, 7}, 
  {1, 2, 3, 4, 7}}
;[o]
{{1, 2, 3, 4, 5}, {6, 2, 3, 4, 5}, {6, 1, 3, 4, 5}, 
 
  {6, 2, 1, 4, 5}, {6, 2, 3, 1, 5}, {6, 2, 3, 4, 7}, 
 
  {6, 1, 3, 4, 7}, {6, 2, 1, 4, 7}, {6, 2, 3, 1, 7}, 
 
  {1, 2, 3, 4, 7}}
:[font = text; inactive; preserveAspect]
Here activesets is the list of vertices, each represented as the set of indices of inequalities which are satisfied by equality (i.e. active) at the vertex. We can represent each face of the polytope exactly the same manner.  In fact, by taking all possible intersections of members of activesets, we can generate all faces. The function KFaceList outputs 
{F-1,F0,F1,F2,...,Fd} where d is the dimension of the polytope and Fk is the list of k-dimensional faces for k=-1,0,1,2,...,d.
;[s]
7:0,0;5,1;15,0;134,1;140,0;338,1;347,0;484,-1;
2:4,13,9,Times,0,12,0,0,0;3,13,9,Times,1,12,0,0,0;
:[font = text; inactive; preserveAspect]
(* The following takes about two minutes on Macintosh SE/30 *)
:[font = input; Cclosed; preserveAspect; startGroup]
{time,flist}=Timing[KFaceList[activesets]]
:[font = print; inactive; preserveAspect]
All 0-faces determined.
All 1-faces determined.
All 2-faces determined.
All 3-faces determined.
All 4-faces determined.
:[font = output; output; inactive; preserveAspect; endGroup]
{74.91666666666666668*Second, 
  {{{1, 2, 3, 4, 5, 6, 7}}, 
   {{1, 2, 3, 4, 5}, {2, 3, 4, 5, 6}, {1, 3, 4, 5, 6}, 
    {1, 2, 4, 5, 6}, {1, 2, 3, 5, 6}, {2, 3, 4, 6, 7}, 
    {1, 3, 4, 6, 7}, {1, 2, 4, 6, 7}, {1, 2, 3, 6, 7}, 
    {1, 2, 3, 4, 7}}, {{2, 3, 4, 5}, {1, 3, 4, 5}, 
    {1, 2, 4, 5}, {1, 2, 3, 5}, {1, 2, 3, 4}, 
    {3, 4, 5, 6}, {2, 4, 5, 6}, {2, 3, 5, 6}, 
    {2, 3, 4, 6}, {1, 4, 5, 6}, {1, 3, 5, 6}, 
    {1, 3, 4, 6}, {1, 2, 5, 6}, {1, 2, 4, 6}, 
    {1, 2, 3, 6}, {3, 4, 6, 7}, {2, 4, 6, 7}, 
    {2, 3, 6, 7}, {2, 3, 4, 7}, {1, 4, 6, 7}, 
    {1, 3, 6, 7}, {1, 3, 4, 7}, {1, 2, 6, 7}, 
    {1, 2, 4, 7}, {1, 2, 3, 7}}, 
   {{3, 4, 5}, {2, 4, 5}, {2, 3, 5}, {2, 3, 4}, 
    {1, 4, 5}, {1, 3, 5}, {1, 3, 4}, {1, 2, 5}, 
    {1, 2, 4}, {1, 2, 3}, {4, 5, 6}, {3, 5, 6}, 
    {3, 4, 6}, {2, 5, 6}, {2, 4, 6}, {2, 3, 6}, 
    {1, 5, 6}, {1, 4, 6}, {1, 3, 6}, {1, 2, 6}, 
    {4, 6, 7}, {3, 6, 7}, {3, 4, 7}, {2, 6, 7}, 
    {2, 4, 7}, {2, 3, 7}, {1, 6, 7}, {1, 4, 7}, 
    {1, 3, 7}, {1, 2, 7}}, 
   {{4, 5}, {3, 5}, {3, 4}, {2, 5}, {2, 4}, {2, 3}, 
    {1, 5}, {1, 4}, {1, 3}, {1, 2}, {5, 6}, {4, 6}, 
    {3, 6}, {2, 6}, {1, 6}, {6, 7}, {4, 7}, {3, 7}, 
    {2, 7}, {1, 7}}, {{5}, {4}, {3}, {2}, {1}, {6}, {7}}, 
   {{}}}}
;[o]
{74.9167 Second, {{{1, 2, 3, 4, 5, 6, 7}}, 
 
   {{1, 2, 3, 4, 5}, {2, 3, 4, 5, 6}, {1, 3, 4, 5, 6}, 
 
    {1, 2, 4, 5, 6}, {1, 2, 3, 5, 6}, {2, 3, 4, 6, 7}, 
 
    {1, 3, 4, 6, 7}, {1, 2, 4, 6, 7}, {1, 2, 3, 6, 7}, 
 
    {1, 2, 3, 4, 7}}, {{2, 3, 4, 5}, {1, 3, 4, 5}, 
 
    {1, 2, 4, 5}, {1, 2, 3, 5}, {1, 2, 3, 4}, 
 
    {3, 4, 5, 6}, {2, 4, 5, 6}, {2, 3, 5, 6}, 
 
    {2, 3, 4, 6}, {1, 4, 5, 6}, {1, 3, 5, 6}, 
 
    {1, 3, 4, 6}, {1, 2, 5, 6}, {1, 2, 4, 6}, 
 
    {1, 2, 3, 6}, {3, 4, 6, 7}, {2, 4, 6, 7}, 
 
    {2, 3, 6, 7}, {2, 3, 4, 7}, {1, 4, 6, 7}, 
 
    {1, 3, 6, 7}, {1, 3, 4, 7}, {1, 2, 6, 7}, 
 
    {1, 2, 4, 7}, {1, 2, 3, 7}}, 
 
   {{3, 4, 5}, {2, 4, 5}, {2, 3, 5}, {2, 3, 4}, {1, 4, 5}, 
 
    {1, 3, 5}, {1, 3, 4}, {1, 2, 5}, {1, 2, 4}, {1, 2, 3}, 
 
    {4, 5, 6}, {3, 5, 6}, {3, 4, 6}, {2, 5, 6}, {2, 4, 6}, 
 
    {2, 3, 6}, {1, 5, 6}, {1, 4, 6}, {1, 3, 6}, {1, 2, 6}, 
 
    {4, 6, 7}, {3, 6, 7}, {3, 4, 7}, {2, 6, 7}, {2, 4, 7}, 
 
    {2, 3, 7}, {1, 6, 7}, {1, 4, 7}, {1, 3, 7}, {1, 2, 7}}\
 
    , {{4, 5}, {3, 5}, {3, 4}, {2, 5}, {2, 4}, {2, 3}, 
 
    {1, 5}, {1, 4}, {1, 3}, {1, 2}, {5, 6}, {4, 6}, 
 
    {3, 6}, {2, 6}, {1, 6}, {6, 7}, {4, 7}, {3, 7}, 
 
    {2, 7}, {1, 7}}, {{5}, {4}, {3}, {2}, {1}, {6}, {7}}, 
 
   {{}}}}
:[font = text; inactive; preserveAspect]
The function FVector counts the number of k-faces for k=-1,0,2,...,d.
:[font = input; preserveAspect; startGroup]
fvector=FVector[flist]
:[font = output; input; inactive; preserveAspect; endGroup]
{1, 10, 25, 30, 20, 7, 1}
;[o]
{1, 10, 25, 30, 20, 7, 1}
:[font = text; inactive; preserveAspect]
There is a well-known theorem about the f-vector:  Euler-Poincare's relation.  This relation says that the alternate sum of the number of k-faces is always zero.  We can test whether it is true for our example.  First we make the (+1,-1) alternating vector.  
:[font = input; preserveAspect; startGroup]
avector=Table[(-1)^i,{i,Length[flist]}]
:[font = output; output; inactive; preserveAspect; endGroup]
{-1, 1, -1, 1, -1, 1, -1}
;[o]
{-1, 1, -1, 1, -1, 1, -1}
:[font = text; inactive; preserveAspect]
The following must be true.  (If not, who is responsible for it?)
:[font = input; preserveAspect; startGroup]
TrueQ[avector.fvector==0]
:[font = output; output; inactive; preserveAspect; endGroup]
True
;[o]
True
:[font = text; inactive; preserveAspect]
It is not easy to draw by hand the face lattice of general convex polytopes, but the function FaceLatticeDiagram automatically generates a Mathematica  graphics for it.  Whether or not the drawing is useful is a different question!
;[s]
5:0,0;94,1;112,0;139,2;150,0;232,-1;
3:3,13,9,Times,0,12,0,0,0;1,13,9,Times,1,12,0,0,0;1,13,9,Times,2,12,0,0,0;
:[font = input; preserveAspect; startGroup]
Show[FaceLatticeDiagram[flist]]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 315; pictureHeight = 194]
%!
%%Creator: Mathematica
%%AspectRatio: .61803  
MathPictureStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.952381 0.0147151 0.588604 [
[ 0 0 0 0 ]
[ 1 .61803  0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
0 g
p
P
0 0 m
1 0 L
1 .61803  L
0 .61803  L
closepath
clip
newpath
p
.002  w
.5  .01472  m
.13328  .11282  L
s
.5  .01472  m
.21477  .11282  L
s
.5  .01472  m
.29627  .11282  L
s
.5  .01472  m
.37776  .11282  L
s
.5  .01472  m
.45925  .11282  L
s
.5  .01472  m
.54075  .11282  L
s
.5  .01472  m
.62224  .11282  L
s
.5  .01472  m
.70373  .11282  L
s
.5  .01472  m
.78523  .11282  L
s
.5  .01472  m
.86672  .11282  L
s
.13328  .11282  m
.05118  .21092  L
s
.13328  .11282  m
.08858  .21092  L
s
.13328  .11282  m
.12598  .21092  L
s
.13328  .11282  m
.16338  .21092  L
s
.13328  .11282  m
.20078  .21092  L
s
.21477  .11282  m
.05118  .21092  L
s
.21477  .11282  m
.23819  .21092  L
s
.21477  .11282  m
.27559  .21092  L
s
.21477  .11282  m
.31299  .21092  L
s
.21477  .11282  m
.35039  .21092  L
s
.29627  .11282  m
.08858  .21092  L
s
.29627  .11282  m
.23819  .21092  L
s
.29627  .11282  m
.38779  .21092  L
s
.29627  .11282  m
.4252  .21092  L
s
.29627  .11282  m
.4626  .21092  L
s
.37776  .11282  m
.12598  .21092  L
s
.37776  .11282  m
.27559  .21092  L
s
.37776  .11282  m
.38779  .21092  L
s
.37776  .11282  m
.5  .21092  L
s
.37776  .11282  m
.5374  .21092  L
s
.45925  .11282  m
.16338  .21092  L
s
.45925  .11282  m
.31299  .21092  L
s
.45925  .11282  m
.4252  .21092  L
s
.45925  .11282  m
.5  .21092  L
s
.45925  .11282  m
.5748  .21092  L
s
.54075  .11282  m
.35039  .21092  L
s
.54075  .11282  m
.61221  .21092  L
s
.54075  .11282  m
.64961  .21092  L
s
.54075  .11282  m
.68701  .21092  L
s
.54075  .11282  m
.72441  .21092  L
s
.62224  .11282  m
.4626  .21092  L
s
.62224  .11282  m
.61221  .21092  L
s
.62224  .11282  m
.76181  .21092  L
s
.62224  .11282  m
.79922  .21092  L
s
.62224  .11282  m
.83662  .21092  L
s
.70373  .11282  m
.5374  .21092  L
s
.70373  .11282  m
.64961  .21092  L
s
.70373  .11282  m
.76181  .21092  L
s
.70373  .11282  m
.87402  .21092  L
s
.70373  .11282  m
.91142  .21092  L
s
.78523  .11282  m
.5748  .21092  L
s
.78523  .11282  m
.68701  .21092  L
s
.78523  .11282  m
.79922  .21092  L
s
.78523  .11282  m
.87402  .21092  L
s
.78523  .11282  m
.94882  .21092  L
s
.86672  .11282  m
.20078  .21092  L
s
.86672  .11282  m
.72441  .21092  L
s
.86672  .11282  m
.83662  .21092  L
s
.86672  .11282  m
.91142  .21092  L
s
.86672  .11282  m
.94882  .21092  L
s
.05118  .21092  m
.02381  .30902  L
s
.05118  .21092  m
.05665  .30902  L
s
.05118  .21092  m
.08949  .30902  L
s
.05118  .21092  m
.12233  .30902  L
s
.08858  .21092  m
.02381  .30902  L
s
.08858  .21092  m
.15517  .30902  L
s
.08858  .21092  m
.18801  .30902  L
s
.08858  .21092  m
.22085  .30902  L
s
.12598  .21092  m
.05665  .30902  L
s
.12598  .21092  m
.15517  .30902  L
s
.12598  .21092  m
.25369  .30902  L
s
.12598  .21092  m
.28654  .30902  L
s
.16338  .21092  m
.08949  .30902  L
s
.16338  .21092  m
.18801  .30902  L
s
.16338  .21092  m
.25369  .30902  L
s
.16338  .21092  m
.31938  .30902  L
s
.20078  .21092  m
.12233  .30902  L
s
.20078  .21092  m
.22085  .30902  L
s
.20078  .21092  m
.28654  .30902  L
s
.20078  .21092  m
.31938  .30902  L
s
.23819  .21092  m
.02381  .30902  L
s
.23819  .21092  m
.35222  .30902  L
s
.23819  .21092  m
.38506  .30902  L
s
.23819  .21092  m
.4179  .30902  L
s
.27559  .21092  m
.05665  .30902  L
s
.27559  .21092  m
.35222  .30902  L
s
.27559  .21092  m
.45074  .30902  L
s
.27559  .21092  m
.48358  .30902  L
s
.31299  .21092  m
.08949  .30902  L
s
.31299  .21092  m
.38506  .30902  L
s
.31299  .21092  m
.45074  .30902  L
s
.31299  .21092  m
.51642  .30902  L
s
.35039  .21092  m
.12233  .30902  L
s
.35039  .21092  m
.4179  .30902  L
s
.35039  .21092  m
.48358  .30902  L
s
.35039  .21092  m
.51642  .30902  L
s
.38779  .21092  m
.15517  .30902  L
s
.38779  .21092  m
.35222  .30902  L
s
.38779  .21092  m
.54926  .30902  L
s
.38779  .21092  m
.5821  .30902  L
s
.4252  .21092  m
.18801  .30902  L
s
.4252  .21092  m
.38506  .30902  L
s
.4252  .21092  m
.54926  .30902  L
s
.4252  .21092  m
.61494  .30902  L
s
.4626  .21092  m
.22085  .30902  L
s
.4626  .21092  m
.4179  .30902  L
s
.4626  .21092  m
.5821  .30902  L
s
.4626  .21092  m
.61494  .30902  L
s
.5  .21092  m
.25369  .30902  L
s
.5  .21092  m
.45074  .30902  L
s
.5  .21092  m
.54926  .30902  L
s
.5  .21092  m
.64778  .30902  L
s
.5374  .21092  m
.28654  .30902  L
s
.5374  .21092  m
.48358  .30902  L
s
.5374  .21092  m
.5821  .30902  L
s
.5374  .21092  m
.64778  .30902  L
s
.5748  .21092  m
.31938  .30902  L
s
.5748  .21092  m
.51642  .30902  L
s
.5748  .21092  m
.61494  .30902  L
s
.5748  .21092  m
.64778  .30902  L
s
.61221  .21092  m
.4179  .30902  L
s
.61221  .21092  m
.68062  .30902  L
s
.61221  .21092  m
.71346  .30902  L
s
.61221  .21092  m
.74631  .30902  L
s
.64961  .21092  m
.48358  .30902  L
s
.64961  .21092  m
.68062  .30902  L
s
.64961  .21092  m
.77915  .30902  L
s
.64961  .21092  m
.81199  .30902  L
s
.68701  .21092  m
.51642  .30902  L
s
.68701  .21092  m
.71346  .30902  L
s
.68701  .21092  m
.77915  .30902  L
s
.68701  .21092  m
.84483  .30902  L
s
.72441  .21092  m
.12233  .30902  L
s
.72441  .21092  m
.74631  .30902  L
s
.72441  .21092  m
.81199  .30902  L
s
.72441  .21092  m
.84483  .30902  L
s
.76181  .21092  m
.5821  .30902  L
s
.76181  .21092  m
.68062  .30902  L
s
.76181  .21092  m
.87767  .30902  L
s
.76181  .21092  m
.91051  .30902  L
s
.79922  .21092  m
.61494  .30902  L
s
.79922  .21092  m
.71346  .30902  L
s
.79922  .21092  m
.87767  .30902  L
s
.79922  .21092  m
.94335  .30902  L
s
.83662  .21092  m
.22085  .30902  L
s
.83662  .21092  m
.74631  .30902  L
s
.83662  .21092  m
.91051  .30902  L
s
.83662  .21092  m
.94335  .30902  L
s
.87402  .21092  m
.64778  .30902  L
s
.87402  .21092  m
.77915  .30902  L
s
.87402  .21092  m
.87767  .30902  L
s
.87402  .21092  m
.97619  .30902  L
s
.91142  .21092  m
.28654  .30902  L
s
.91142  .21092  m
.81199  .30902  L
s
.91142  .21092  m
.91051  .30902  L
s
.91142  .21092  m
.97619  .30902  L
s
.94882  .21092  m
.31938  .30902  L
s
.94882  .21092  m
.84483  .30902  L
s
.94882  .21092  m
.94335  .30902  L
s
.94882  .21092  m
.97619  .30902  L
s
.02381  .30902  m
.07854  .40712  L
s
.02381  .30902  m
.12291  .40712  L
s
.02381  .30902  m
.16727  .40712  L
s
.05665  .30902  m
.07854  .40712  L
s
.05665  .30902  m
.21164  .40712  L
s
.05665  .30902  m
.256  .40712  L
s
.08949  .30902  m
.12291  .40712  L
s
.08949  .30902  m
.21164  .40712  L
s
.08949  .30902  m
.30036  .40712  L
s
.12233  .30902  m
.16727  .40712  L
s
.12233  .30902  m
.256  .40712  L
s
.12233  .30902  m
.30036  .40712  L
s
.15517  .30902  m
.07854  .40712  L
s
.15517  .30902  m
.34473  .40712  L
s
.15517  .30902  m
.38909  .40712  L
s
.18801  .30902  m
.12291  .40712  L
s
.18801  .30902  m
.34473  .40712  L
s
.18801  .30902  m
.43345  .40712  L
s
.22085  .30902  m
.16727  .40712  L
s
.22085  .30902  m
.38909  .40712  L
s
.22085  .30902  m
.43345  .40712  L
s
.25369  .30902  m
.21164  .40712  L
s
.25369  .30902  m
.34473  .40712  L
s
.25369  .30902  m
.47782  .40712  L
s
.28654  .30902  m
.256  .40712  L
s
.28654  .30902  m
.38909  .40712  L
s
.28654  .30902  m
.47782  .40712  L
s
.31938  .30902  m
.30036  .40712  L
s
.31938  .30902  m
.43345  .40712  L
s
.31938  .30902  m
.47782  .40712  L
s
.35222  .30902  m
.07854  .40712  L
s
.35222  .30902  m
.52218  .40712  L
s
.35222  .30902  m
.56655  .40712  L
s
.38506  .30902  m
.12291  .40712  L
s
.38506  .30902  m
.52218  .40712  L
s
.38506  .30902  m
.61091  .40712  L
s
.4179  .30902  m
.16727  .40712  L
s
.4179  .30902  m
.56655  .40712  L
s
.4179  .30902  m
.61091  .40712  L
s
.45074  .30902  m
.21164  .40712  L
s
.45074  .30902  m
.52218  .40712  L
s
.45074  .30902  m
.65527  .40712  L
s
.48358  .30902  m
.256  .40712  L
s
.48358  .30902  m
.56655  .40712  L
s
.48358  .30902  m
.65527  .40712  L
s
.51642  .30902  m
.30036  .40712  L
s
.51642  .30902  m
.61091  .40712  L
s
.51642  .30902  m
.65527  .40712  L
s
.54926  .30902  m
.34473  .40712  L
s
.54926  .30902  m
.52218  .40712  L
s
.54926  .30902  m
.69964  .40712  L
s
.5821  .30902  m
.38909  .40712  L
s
.5821  .30902  m
.56655  .40712  L
s
.5821  .30902  m
.69964  .40712  L
s
.61494  .30902  m
.43345  .40712  L
s
.61494  .30902  m
.61091  .40712  L
s
.61494  .30902  m
.69964  .40712  L
s
.64778  .30902  m
.47782  .40712  L
s
.64778  .30902  m
.65527  .40712  L
s
.64778  .30902  m
.69964  .40712  L
s
.68062  .30902  m
.56655  .40712  L
s
.68062  .30902  m
.744  .40712  L
s
.68062  .30902  m
.78836  .40712  L
s
.71346  .30902  m
.61091  .40712  L
s
.71346  .30902  m
.744  .40712  L
s
.71346  .30902  m
.83273  .40712  L
s
.74631  .30902  m
.16727  .40712  L
s
.74631  .30902  m
.78836  .40712  L
s
.74631  .30902  m
.83273  .40712  L
s
.77915  .30902  m
.65527  .40712  L
s
.77915  .30902  m
.744  .40712  L
s
.77915  .30902  m
.87709  .40712  L
s
.81199  .30902  m
.256  .40712  L
s
.81199  .30902  m
.78836  .40712  L
s
.81199  .30902  m
.87709  .40712  L
s
.84483  .30902  m
.30036  .40712  L
s
.84483  .30902  m
.83273  .40712  L
s
.84483  .30902  m
.87709  .40712  L
s
.87767  .30902  m
.69964  .40712  L
s
.87767  .30902  m
.744  .40712  L
s
.87767  .30902  m
.92146  .40712  L
s
.91051  .30902  m
.38909  .40712  L
s
.91051  .30902  m
.78836  .40712  L
s
.91051  .30902  m
.92146  .40712  L
s
.94335  .30902  m
.43345  .40712  L
s
.94335  .30902  m
.83273  .40712  L
s
.94335  .30902  m
.92146  .40712  L
s
.97619  .30902  m
.47782  .40712  L
s
.97619  .30902  m
.87709  .40712  L
s
.97619  .30902  m
.92146  .40712  L
s
.07854  .40712  m
.1497  .50522  L
s
.07854  .40712  m
.26647  .50522  L
s
.12291  .40712  m
.1497  .50522  L
s
.12291  .40712  m
.38323  .50522  L
s
.16727  .40712  m
.26647  .50522  L
s
.16727  .40712  m
.38323  .50522  L
s
.21164  .40712  m
.1497  .50522  L
s
.21164  .40712  m
.5  .50522  L
s
.256  .40712  m
.26647  .50522  L
s
.256  .40712  m
.5  .50522  L
s
.30036  .40712  m
.38323  .50522  L
s
.30036  .40712  m
.5  .50522  L
s
.34473  .40712  m
.1497  .50522  L
s
.34473  .40712  m
.61677  .50522  L
s
.38909  .40712  m
.26647  .50522  L
s
.38909  .40712  m
.61677  .50522  L
s
.43345  .40712  m
.38323  .50522  L
s
.43345  .40712  m
.61677  .50522  L
s
.47782  .40712  m
.5  .50522  L
s
.47782  .40712  m
.61677  .50522  L
s
.52218  .40712  m
.1497  .50522  L
s
.52218  .40712  m
.73353  .50522  L
s
.56655  .40712  m
.26647  .50522  L
s
.56655  .40712  m
.73353  .50522  L
s
.61091  .40712  m
.38323  .50522  L
s
.61091  .40712  m
.73353  .50522  L
s
.65527  .40712  m
.5  .50522  L
s
.65527  .40712  m
.73353  .50522  L
s
.69964  .40712  m
.61677  .50522  L
s
.69964  .40712  m
.73353  .50522  L
s
.744  .40712  m
.73353  .50522  L
s
.744  .40712  m
.8503  .50522  L
s
.78836  .40712  m
.26647  .50522  L
s
.78836  .40712  m
.8503  .50522  L
s
.83273  .40712  m
.38323  .50522  L
s
.83273  .40712  m
.8503  .50522  L
s
.87709  .40712  m
.5  .50522  L
s
.87709  .40712  m
.8503  .50522  L
s
.92146  .40712  m
.61677  .50522  L
s
.92146  .40712  m
.8503  .50522  L
s
.1497  .50522  m
.5  .60332  L
s
.26647  .50522  m
.5  .60332  L
s
.38323  .50522  m
.5  .60332  L
s
.5  .50522  m
.5  .60332  L
s
.61677  .50522  m
.5  .60332  L
s
.73353  .50522  m
.5  .60332  L
s
.8503  .50522  m
.5  .60332  L
s
.01  w
.5  .01472  Mdot
.13328  .11282  Mdot
.21477  .11282  Mdot
.29627  .11282  Mdot
.37776  .11282  Mdot
.45925  .11282  Mdot
.54075  .11282  Mdot
.62224  .11282  Mdot
.70373  .11282  Mdot
.78523  .11282  Mdot
.86672  .11282  Mdot
.05118  .21092  Mdot
.08858  .21092  Mdot
.12598  .21092  Mdot
.16338  .21092  Mdot
.20078  .21092  Mdot
.23819  .21092  Mdot
.27559  .21092  Mdot
.31299  .21092  Mdot
.35039  .21092  Mdot
.38779  .21092  Mdot
.4252  .21092  Mdot
.4626  .21092  Mdot
.5  .21092  Mdot
.5374  .21092  Mdot
.5748  .21092  Mdot
.61221  .21092  Mdot
.64961  .21092  Mdot
.68701  .21092  Mdot
.72441  .21092  Mdot
.76181  .21092  Mdot
.79922  .21092  Mdot
.83662  .21092  Mdot
.87402  .21092  Mdot
.91142  .21092  Mdot
.94882  .21092  Mdot
.02381  .30902  Mdot
.05665  .30902  Mdot
.08949  .30902  Mdot
.12233  .30902  Mdot
.15517  .30902  Mdot
.18801  .30902  Mdot
.22085  .30902  Mdot
.25369  .30902  Mdot
.28654  .30902  Mdot
.31938  .30902  Mdot
.35222  .30902  Mdot
.38506  .30902  Mdot
.4179  .30902  Mdot
.45074  .30902  Mdot
.48358  .30902  Mdot
.51642  .30902  Mdot
.54926  .30902  Mdot
.5821  .30902  Mdot
.61494  .30902  Mdot
.64778  .30902  Mdot
.68062  .30902  Mdot
.71346  .30902  Mdot
.74631  .30902  Mdot
.77915  .30902  Mdot
.81199  .30902  Mdot
.84483  .30902  Mdot
.87767  .30902  Mdot
.91051  .30902  Mdot
.94335  .30902  Mdot
.97619  .30902  Mdot
.07854  .40712  Mdot
.12291  .40712  Mdot
.16727  .40712  Mdot
.21164  .40712  Mdot
.256  .40712  Mdot
.30036  .40712  Mdot
.34473  .40712  Mdot
.38909  .40712  Mdot
.43345  .40712  Mdot
.47782  .40712  Mdot
.52218  .40712  Mdot
.56655  .40712  Mdot
.61091  .40712  Mdot
.65527  .40712  Mdot
.69964  .40712  Mdot
.744  .40712  Mdot
.78836  .40712  Mdot
.83273  .40712  Mdot
.87709  .40712  Mdot
.92146  .40712  Mdot
.1497  .50522  Mdot
.26647  .50522  Mdot
.38323  .50522  Mdot
.5  .50522  Mdot
.61677  .50522  Mdot
.73353  .50522  Mdot
.8503  .50522  Mdot
.5  .60332  Mdot
P
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; endGroup]
The Unformatted text for this cell was not generated.
Use options in the Actions Preferences dialog box to 
control when Unformatted text is generated.
;[o]
-Graphics-
:[font = text; inactive; preserveAspect]
If  you want to know exactly what are the links in the diagram above, execute the function  FaceLatticeLinks.
;[s]
3:0,0;92,1;108,0;110,-1;
2:2,13,9,Times,0,12,0,0,0;1,13,9,Times,1,12,0,0,0;
:[font = input; preserveAspect; startGroup]
flinks=FaceLatticeLinks[flist];
flinks //Short
:[font = output; output; inactive; preserveAspect; endGroup]
Short[{{{-1, 1}, {0, 1}}, {{-1, 1}, {0, 2}}, 
   {{-1, 1}, {0, 3}}, {{-1, 1}, {0, 4}}, 
   {{-1, 1}, {0, 5}}, {{-1, 1}, {0, 6}}, 
   {{-1, 1}, {0, 7}}, {{-1, 1}, {0, 8}}, 
   {{-1, 1}, {0, 9}}, {{-1, 1}, {0, 10}}, 
   {{0, 1}, {1, 1}}, {{0, 1}, {1, 2}}, {{0, 1}, {1, 3}}, 
   {{0, 1}, {1, 4}}, {{0, 1}, {1, 5}}, {{0, 2}, {1, 1}}, 
   {{0, 2}, {1, 6}}, {{0, 2}, {1, 7}}, {{0, 2}, {1, 8}}, 
   {{0, 2}, {1, 9}}, {{0, 3}, {1, 2}}, {{0, 3}, {1, 6}}, 
   {{0, 3}, {1, 10}}, {{0, 3}, {1, 11}}, 
   {{0, 3}, {1, 12}}, {{0, 4}, {1, 3}}, {{0, 4}, {1, 7}}, 
   {{0, 4}, {1, 10}}, {{0, 4}, {1, 13}}, 
   {{0, 4}, {1, 14}}, {{0, 5}, {1, 4}}, {{0, 5}, {1, 8}}, 
   {{0, 5}, {1, 11}}, {{0, 5}, {1, 13}}, 
   {{0, 5}, {1, 15}}, {{0, 6}, {1, 9}}, {{0, 6}, {1, 16}}, 
   {{0, 6}, {1, 17}}, {{0, 6}, {1, 18}}, 
   {{0, 6}, {1, 19}}, {{0, 7}, {1, 12}}, 
   {{0, 7}, {1, 16}}, {{0, 7}, {1, 20}}, 
   {{0, 7}, {1, 21}}, {{0, 7}, {1, 22}}, 
   {{0, 8}, {1, 14}}, {{0, 8}, {1, 17}}, 
   {{0, 8}, {1, 20}}, {{0, 8}, {1, 23}}, 
   {{0, 8}, {1, 24}}, {{0, 9}, {1, 15}}, 
   {{0, 9}, {1, 18}}, {{0, 9}, {1, 21}}, 
   {{0, 9}, {1, 23}}, {{0, 9}, {1, 25}}, 
   {{0, 10}, {1, 5}}, {{0, 10}, {1, 19}}, 
   {{0, 10}, {1, 22}}, {{0, 10}, {1, 24}}, 
   {{0, 10}, {1, 25}}, {{1, 1}, {2, 1}}, {{1, 1}, {2, 2}}, 
   {{1, 1}, {2, 3}}, {{1, 1}, {2, 4}}, {{1, 2}, {2, 1}}, 
   {{1, 2}, {2, 5}}, {{1, 2}, {2, 6}}, {{1, 2}, {2, 7}}, 
   {{1, 3}, {2, 2}}, {{1, 3}, {2, 5}}, {{1, 3}, {2, 8}}, 
   {{1, 3}, {2, 9}}, {{1, 4}, {2, 3}}, {{1, 4}, {2, 6}}, 
   {{1, 4}, {2, 8}}, {{1, 4}, {2, 10}}, {{1, 5}, {2, 4}}, 
   {{1, 5}, {2, 7}}, {{1, 5}, {2, 9}}, {{1, 5}, {2, 10}}, 
   {{1, 6}, {2, 1}}, {{1, 6}, {2, 11}}, {{1, 6}, {2, 12}}, 
   {{1, 6}, {2, 13}}, {{1, 7}, {2, 2}}, {{1, 7}, {2, 11}}, 
   {{1, 7}, {2, 14}}, {{1, 7}, {2, 15}}, {{1, 8}, {2, 3}}, 
   {{1, 8}, {2, 12}}, {{1, 8}, {2, 14}}, 
   {{1, 8}, {2, 16}}, {{1, 9}, {2, 4}}, {{1, 9}, {2, 13}}, 
   {{1, 9}, {2, 15}}, {{1, 9}, {2, 16}}, 
   {{1, 10}, {2, 5}}, {{1, 10}, {2, 11}}, 
   {{1, 10}, {2, 17}}, {{1, 10}, {2, 18}}, 
   {{1, 11}, {2, 6}}, {{1, 11}, {2, 12}}, 
   {{1, 11}, {2, 17}}, {{1, 11}, {2, 19}}, 
   {{1, 12}, {2, 7}}, {{1, 12}, {2, 13}}, 
   {{1, 12}, {2, 18}}, {{1, 12}, {2, 19}}, 
   {{1, 13}, {2, 8}}, {{1, 13}, {2, 14}}, 
   {{1, 13}, {2, 17}}, {{1, 13}, {2, 20}}, 
   {{1, 14}, {2, 9}}, {{1, 14}, {2, 15}}, 
   {{1, 14}, {2, 18}}, {{1, 14}, {2, 20}}, 
   {{1, 15}, {2, 10}}, {{1, 15}, {2, 16}}, 
   {{1, 15}, {2, 19}}, {{1, 15}, {2, 20}}, 
   {{1, 16}, {2, 13}}, {{1, 16}, {2, 21}}, 
   {{1, 16}, {2, 22}}, {{1, 16}, {2, 23}}, 
   {{1, 17}, {2, 15}}, {{1, 17}, {2, 21}}, 
   {{1, 17}, {2, 24}}, {{1, 17}, {2, 25}}, 
   {{1, 18}, {2, 16}}, {{1, 18}, {2, 22}}, 
   {{1, 18}, {2, 24}}, {{1, 18}, {2, 26}}, 
   {{1, 19}, {2, 4}}, {{1, 19}, {2, 23}}, 
   {{1, 19}, {2, 25}}, {{1, 19}, {2, 26}}, 
   {{1, 20}, {2, 18}}, {{1, 20}, {2, 21}}, 
   {{1, 20}, {2, 27}}, {{1, 20}, {2, 28}}, 
   {{1, 21}, {2, 19}}, {{1, 21}, {2, 22}}, 
   {{1, 21}, {2, 27}}, {{1, 21}, {2, 29}}, 
   {{1, 22}, {2, 7}}, {{1, 22}, {2, 23}}, 
   {{1, 22}, {2, 28}}, {{1, 22}, {2, 29}}, 
   {{1, 23}, {2, 20}}, {{1, 23}, {2, 24}}, 
   {{1, 23}, {2, 27}}, {{1, 23}, {2, 30}}, 
   {{1, 24}, {2, 9}}, {{1, 24}, {2, 25}}, 
   {{1, 24}, {2, 28}}, {{1, 24}, {2, 30}}, 
   {{1, 25}, {2, 10}}, {{1, 25}, {2, 26}}, 
   {{1, 25}, {2, 29}}, {{1, 25}, {2, 30}}, 
   {{2, 1}, {3, 1}}, {{2, 1}, {3, 2}}, {{2, 1}, {3, 3}}, 
   {{2, 2}, {3, 1}}, {{2, 2}, {3, 4}}, {{2, 2}, {3, 5}}, 
   {{2, 3}, {3, 2}}, {{2, 3}, {3, 4}}, {{2, 3}, {3, 6}}, 
   {{2, 4}, {3, 3}}, {{2, 4}, {3, 5}}, {{2, 4}, {3, 6}}, 
   {{2, 5}, {3, 1}}, {{2, 5}, {3, 7}}, {{2, 5}, {3, 8}}, 
   {{2, 6}, {3, 2}}, {{2, 6}, {3, 7}}, {{2, 6}, {3, 9}}, 
   {{2, 7}, {3, 3}}, {{2, 7}, {3, 8}}, {{2, 7}, {3, 9}}, 
   {{2, 8}, {3, 4}}, {{2, 8}, {3, 7}}, {{2, 8}, {3, 10}}, 
   {{2, 9}, {3, 5}}, {{2, 9}, {3, 8}}, {{2, 9}, {3, 10}}, 
   {{2, 10}, {3, 6}}, {{2, 10}, {3, 9}}, 
   {{2, 10}, {3, 10}}, {{2, 11}, {3, 1}}, 
   {{2, 11}, {3, 11}}, {{2, 11}, {3, 12}}, 
   {{2, 12}, {3, 2}}, {{2, 12}, {3, 11}}, 
   {{2, 12}, {3, 13}}, {{2, 13}, {3, 3}}, 
   {{2, 13}, {3, 12}}, {{2, 13}, {3, 13}}, 
   {{2, 14}, {3, 4}}, {{2, 14}, {3, 11}}, 
   {{2, 14}, {3, 14}}, {{2, 15}, {3, 5}}, 
   {{2, 15}, {3, 12}}, {{2, 15}, {3, 14}}, 
   {{2, 16}, {3, 6}}, {{2, 16}, {3, 13}}, 
   {{2, 16}, {3, 14}}, {{2, 17}, {3, 7}}, 
   {{2, 17}, {3, 11}}, {{2, 17}, {3, 15}}, 
   {{2, 18}, {3, 8}}, {{2, 18}, {3, 12}}, 
   {{2, 18}, {3, 15}}, {{2, 19}, {3, 9}}, 
   {{2, 19}, {3, 13}}, {{2, 19}, {3, 15}}, 
   {{2, 20}, {3, 10}}, {{2, 20}, {3, 14}}, 
   {{2, 20}, {3, 15}}, {{2, 21}, {3, 12}}, 
   {{2, 21}, {3, 16}}, {{2, 21}, {3, 17}}, 
   {{2, 22}, {3, 13}}, {{2, 22}, {3, 16}}, 
   {{2, 22}, {3, 18}}, {{2, 23}, {3, 3}}, 
   {{2, 23}, {3, 17}}, {{2, 23}, {3, 18}}, 
   {{2, 24}, {3, 14}}, {{2, 24}, {3, 16}}, 
   {{2, 24}, {3, 19}}, {{2, 25}, {3, 5}}, 
   {{2, 25}, {3, 17}}, {{2, 25}, {3, 19}}, 
   {{2, 26}, {3, 6}}, {{2, 26}, {3, 18}}, 
   {{2, 26}, {3, 19}}, {{2, 27}, {3, 15}}, 
   {{2, 27}, {3, 16}}, {{2, 27}, {3, 20}}, 
   {{2, 28}, {3, 8}}, {{2, 28}, {3, 17}}, 
   {{2, 28}, {3, 20}}, {{2, 29}, {3, 9}}, 
   {{2, 29}, {3, 18}}, {{2, 29}, {3, 20}}, 
   {{2, 30}, {3, 10}}, {{2, 30}, {3, 19}}, 
   {{2, 30}, {3, 20}}, {{3, 1}, {4, 1}}, {{3, 1}, {4, 2}}, 
   {{3, 2}, {4, 1}}, {{3, 2}, {4, 3}}, {{3, 3}, {4, 2}}, 
   {{3, 3}, {4, 3}}, {{3, 4}, {4, 1}}, {{3, 4}, {4, 4}}, 
   {{3, 5}, {4, 2}}, {{3, 5}, {4, 4}}, {{3, 6}, {4, 3}}, 
   {{3, 6}, {4, 4}}, {{3, 7}, {4, 1}}, {{3, 7}, {4, 5}}, 
   {{3, 8}, {4, 2}}, {{3, 8}, {4, 5}}, {{3, 9}, {4, 3}}, 
   {{3, 9}, {4, 5}}, {{3, 10}, {4, 4}}, {{3, 10}, {4, 5}}, 
   {{3, 11}, {4, 1}}, {{3, 11}, {4, 6}}, 
   {{3, 12}, {4, 2}}, {{3, 12}, {4, 6}}, 
   {{3, 13}, {4, 3}}, {{3, 13}, {4, 6}}, 
   {{3, 14}, {4, 4}}, {{3, 14}, {4, 6}}, 
   {{3, 15}, {4, 5}}, {{3, 15}, {4, 6}}, 
   {{3, 16}, {4, 6}}, {{3, 16}, {4, 7}}, 
   {{3, 17}, {4, 2}}, {{3, 17}, {4, 7}}, 
   {{3, 18}, {4, 3}}, {{3, 18}, {4, 7}}, 
   {{3, 19}, {4, 4}}, {{3, 19}, {4, 7}}, 
   {{3, 20}, {4, 5}}, {{3, 20}, {4, 7}}, {{4, 1}, {5, 1}}, 
   {{4, 2}, {5, 1}}, {{4, 3}, {5, 1}}, {{4, 4}, {5, 1}}, 
   {{4, 5}, {5, 1}}, {{4, 6}, {5, 1}}, {{4, 7}, {5, 1}}}]
;[o]
{{{-1, 1}, {0, 1}}, <<295>>, {{4, 7}, {5, 1}}}
:[font = text; inactive; preserveAspect]
Here, each element {{k,m},{k+1,n}} of flinks indicates that  the m-th face of dimension k is  covered by the n-th face of dimension k+1.
:[font = text; inactive; preserveAspect]
Since we have imported Combinatorica package also,  we conlude this notebook with explanation for drawing the graph of the polytope using the package:
:[font = input; dontPreserveAspect]
edges=EdgesOfPolyhedron[activesets];
:[font = input; dontPreserveAspect; startGroup]
ShowLabeledGraph[g=FromUnorderedPairs[edges]]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 282]
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0454545 0.909091 0.0242882 0.951424 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
0 g
p
P
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
p
.025  w
.86773  .77962  Mdot
.64046  .95243  Mdot
.35954  .95243  Mdot
.13227  .77962  Mdot
.04545  .5  Mdot
.13227  .22038  Mdot
.35954  .04757  Mdot
.64046  .04757  Mdot
.86773  .22038  Mdot
.95455  .5  Mdot
.004  w
.86773  .77962  m
.64046  .95243  L
s
.86773  .77962  m
.35954  .95243  L
s
.86773  .77962  m
.13227  .77962  L
s
.86773  .77962  m
.04545  .5  L
s
.86773  .77962  m
.95455  .5  L
s
.64046  .95243  m
.86773  .77962  L
s
.64046  .95243  m
.35954  .95243  L
s
.64046  .95243  m
.13227  .77962  L
s
.64046  .95243  m
.04545  .5  L
s
.64046  .95243  m
.13227  .22038  L
s
.35954  .95243  m
.86773  .77962  L
s
.35954  .95243  m
.64046  .95243  L
s
.35954  .95243  m
.13227  .77962  L
s
.35954  .95243  m
.04545  .5  L
s
.35954  .95243  m
.35954  .04757  L
s
.13227  .77962  m
.86773  .77962  L
s
.13227  .77962  m
.64046  .95243  L
s
.13227  .77962  m
.35954  .95243  L
s
.13227  .77962  m
.04545  .5  L
s
.13227  .77962  m
.64046  .04757  L
s
.04545  .5  m
.86773  .77962  L
s
.04545  .5  m
.64046  .95243  L
s
.04545  .5  m
.35954  .95243  L
s
.04545  .5  m
.13227  .77962  L
s
.04545  .5  m
.86773  .22038  L
s
.13227  .22038  m
.64046  .95243  L
s
.13227  .22038  m
.35954  .04757  L
s
.13227  .22038  m
.64046  .04757  L
s
.13227  .22038  m
.86773  .22038  L
s
.13227  .22038  m
.95455  .5  L
s
.35954  .04757  m
.35954  .95243  L
s
.35954  .04757  m
.13227  .22038  L
s
.35954  .04757  m
.64046  .04757  L
s
.35954  .04757  m
.86773  .22038  L
s
.35954  .04757  m
.95455  .5  L
s
.64046  .04757  m
.13227  .77962  L
s
.64046  .04757  m
.13227  .22038  L
s
.64046  .04757  m
.35954  .04757  L
s
.64046  .04757  m
.86773  .22038  L
s
.64046  .04757  m
.95455  .5  L
s
.86773  .22038  m
.04545  .5  L
s
.86773  .22038  m
.13227  .22038  L
s
.86773  .22038  m
.35954  .04757  L
s
.86773  .22038  m
.64046  .04757  L
s
.86773  .22038  m
.95455  .5  L
s
.95455  .5  m
.86773  .77962  L
s
.95455  .5  m
.13227  .22038  L
s
.95455  .5  m
.35954  .04757  L
s
.95455  .5  m
.64046  .04757  L
s
.95455  .5  m
.86773  .22038  L
s
.86773  .77962  m
.64046  .95243  L
s
.86773  .77962  m
.35954  .95243  L
s
.86773  .77962  m
.13227  .77962  L
s
.86773  .77962  m
.04545  .5  L
s
.86773  .77962  m
.95455  .5  L
s
.64046  .95243  m
.86773  .77962  L
s
.64046  .95243  m
.35954  .95243  L
s
.64046  .95243  m
.13227  .77962  L
s
.64046  .95243  m
.04545  .5  L
s
.64046  .95243  m
.13227  .22038  L
s
.35954  .95243  m
.86773  .77962  L
s
.35954  .95243  m
.64046  .95243  L
s
.35954  .95243  m
.13227  .77962  L
s
.35954  .95243  m
.04545  .5  L
s
.35954  .95243  m
.35954  .04757  L
s
.13227  .77962  m
.86773  .77962  L
s
.13227  .77962  m
.64046  .95243  L
s
.13227  .77962  m
.35954  .95243  L
s
.13227  .77962  m
.04545  .5  L
s
.13227  .77962  m
.64046  .04757  L
s
.04545  .5  m
.86773  .77962  L
s
.04545  .5  m
.64046  .95243  L
s
.04545  .5  m
.35954  .95243  L
s
.04545  .5  m
.13227  .77962  L
s
.04545  .5  m
.86773  .22038  L
s
.13227  .22038  m
.64046  .95243  L
s
.13227  .22038  m
.35954  .04757  L
s
.13227  .22038  m
.64046  .04757  L
s
.13227  .22038  m
.86773  .22038  L
s
.13227  .22038  m
.95455  .5  L
s
.35954  .04757  m
.35954  .95243  L
s
.35954  .04757  m
.13227  .22038  L
s
.35954  .04757  m
.64046  .04757  L
s
.35954  .04757  m
.86773  .22038  L
s
.35954  .04757  m
.95455  .5  L
s
.64046  .04757  m
.13227  .77962  L
s
.64046  .04757  m
.13227  .22038  L
s
.64046  .04757  m
.35954  .04757  L
s
.64046  .04757  m
.86773  .22038  L
s
.64046  .04757  m
.95455  .5  L
s
.86773  .22038  m
.04545  .5  L
s
.86773  .22038  m
.13227  .22038  L
s
.86773  .22038  m
.35954  .04757  L
s
.86773  .22038  m
.64046  .04757  L
s
.86773  .22038  m
.95455  .5  L
s
.95455  .5  m
.86773  .77962  L
s
.95455  .5  m
.13227  .22038  L
s
.95455  .5  m
.35954  .04757  L
s
.95455  .5  m
.64046  .04757  L
s
.95455  .5  m
.86773  .22038  L
s
[(1)] .84046  .75107  0 1 Mshowa
[(2)] .61319  .92389  0 1 Mshowa
[(3)] .33227  .92389  0 1 Mshowa
[(4)] .10499  .75107  0 1 Mshowa
[(5)] .01818  .47146  0 1 Mshowa
[(6)] .10499  .19184  0 1 Mshowa
[(7)] .33227  .01903  0 1 Mshowa
[(8)] .61319  .01903  0 1 Mshowa
[(9)] .84046  .19184  0 1 Mshowa
[(10)] .92727  .47146  0 1 Mshowa
P
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; dontPreserveAspect; endGroup; endGroup]
The Unformatted text for this cell was not generated.
Use options in the Actions Preferences dialog box to 
control when Unformatted text is generated.
;[o]
-Graphics-
:[font = input; preserveAspect; startGroup]
?FaceLattice`*
:[font = info; inactive; preserveAspect; endGroup]
FaceLatticeDiagram FVector            KFaceList
FaceLatticeLinks
^*)
