(*^
::[	Information =

	"This is a Mathematica Notebook file.  It contains ASCII text, and can be
	transferred by email, ftp, or other text-file transfer utility.  It should
	be read or edited using a copy of Mathematica or MathReader.  If you 
	received this as email, use your mail application or copy/paste to save 
	everything from the line containing (*^ down to the line containing ^*)
	into a plain text file.  On some systems you may have to give the file a 
	name ending with ".ma" to allow Mathematica to recognize it as a Notebook.
	The line below identifies what version of Mathematica created this file,
	but it can be opened using any other version as well.";

	FrontEndVersion = "Macintosh Mathematica Notebook Front End Version 2.2";

	MacintoshStandardFontEncoding; 
	
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e8,  24, "Times"; 
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e6,  18, "Times"; 
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, e6,  14, "Times"; 
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, a20,  18, "Times"; 
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, a15,  14, "Times"; 
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, a12,  12, "Times"; 
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; 
	fontset = input, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L-5,  12, "Courier"; 
	fontset = output, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; 
	fontset = message, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, R65535, L-5,  12, "Courier"; 
	fontset = print, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; 
	fontset = info, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, B65535, L-5,  12, "Courier"; 
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287,  12, "Courier"; 
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic,  10, "Geneva"; 
	fontset = header, inactive, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = leftheader, inactive, L2,  12, "Times"; 
	fontset = footer, inactive, noKeepOnOnePage, preserveAspect, center, M7,  12, "Times"; 
	fontset = leftfooter, inactive, L2,  12, "Times"; 
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; 
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	paletteColors = 128; currentKernel; 
]
:[font = title; inactive; preserveAspect; startGroup]
Computing the Volume of a Convex Polytope:PolytopeVolume.m
-Mathematica  Package -
July 28, 1993

Komei Fukuda (University of Tsukuba, Tokyo) 
;[s]
3:0,0;60,2;71,1;143,-1;
3:1,25,18,Times,1,24,0,0,0;1,16,12,Times,1,14,0,0,0;1,16,12,Times,3,14,0,0,0;
:[font = text; inactive; preserveAspect]
In this small notebook, we shall explain how to compute the exact volume of a d-dimensional convex polytope using the package PolytopeVolume.m which is distributed with VertexEnum package. (A convex polytope is a bounded convex polyhedron.)   Since the package PolytopeVolume.m  needs another package VertexEnum.m, it is important that those two packages are in a directory included in $Path before you try to read in the PolytopeVolume package.  The most natural place for these packages, VertexEnum.m and PolytopeVolume.m, is ../packages/Geometry, and we assume that the user has this setting.
;[s]
3:0,0;213,1;220,0;596,-1;
2:2,13,9,Times,0,12,0,0,0;1,13,9,Times,1,12,0,0,0;
:[font = input; initialization; preserveAspect]
*)
<<Geometry`VertexEnum`
(*
:[font = input; initialization; preserveAspect]
*)
<<Geometry`PolytopeVolume`
(*
:[font = input; initialization; preserveAspect]
*)
Off[General::spell];  Off[General::spell1];   
(*
:[font = text; inactive; preserveAspect]

We assume that a polytope P is given as the set of solutions to a system of linear inequalities of
form  m.x <= b and x >= 0,  where  m  is an exact (rational or irrational)  s*d matrix and b  is an exact  s-vector.
:[font = text; inactive; preserveAspect]
The formula we use to compute the volume of a convex polytope is due to Lawrence [1].  The Lawrence formula is especially useful if all the vertices of a polytope is computed by an algorithm which enumerates all feasible bases, such as the Avis-Fukuda algorithm.  Since VertexEnum package is a straightforward implementation of this algorithm, only a little work is necessary for implementing the Lawrence formula.
:[font = text; inactive; preserveAspect; endGroup]
[1] Jim Lawrence, "Polytope volume computation," Mathematics of Computation, Vol. 57, Number 195 (1991), 259-271.
;[s]
3:0,0;49,1;75,0;114,-1;
2:2,13,9,Times,0,12,0,0,0;1,13,9,Times,2,12,0,0,0;
:[font = section; inactive; preserveAspect]
A simple example
:[font = text; inactive; preserveAspect]
Here is a example of 2-dimensinal  polytope (convex polygon) which was given by Lawrence [1].
:[font = input; preserveAspect]
m={{-1,1},{0,1},{3,2}}; b={2,4,15};
:[font = text; inactive; preserveAspect]
The function PolytopeVolume computes the volume of the polytope via generating all vertices using the VertexEnumeration function.
:[font = input; preserveAspect; startGroup]
?PolytopeVolume
:[font = print; inactive; preserveAspect; endGroup]
PolytopeVolume[m,b] gives the volume of the convex polytope 
   P= {x : m x <= b and x>=0}, where m is an s*d matrix and
   b an s-vector.
:[font = input; preserveAspect; startGroup]
PolytopeVolume[m,b]
:[font = print; inactive; preserveAspect]
                                                 7
The set of vertices is {{0, 0}, {0, 2}, {2, 4}, {-, 4}, 
                                                 3
 
   {5, 0}}.
:[font = output; output; inactive; preserveAspect; endGroup]
38/3
;[o]
38
--
3
:[font = section; inactive; preserveAspect]
A small degenerate polytope
:[font = text; inactive; preserveAspect]
Here is a small degenerate example of 3-polytope.  It is a truncated cube which has three non-simple vertices. The volume is quite easy to compute by hand.
:[font = input; preserveAspect]
m={{1,0,0},{0,1,0},{0,0,1},{1,1,1}};
b={1,1,1,2};
:[font = input; preserveAspect; startGroup]
vlist=VertexEnumeration[m,b]
:[font = output; output; inactive; preserveAspect; endGroup]
{{{0, 0, 0}, {1, 0, 0}, {0, 1, 0}, {1, 1, 0}, {0, 0, 1}, 
 
   {1, 0, 1}, {0, 1, 1}}, 
 
  {{1, 2, 3}, {4, 2, 3}, {1, 5, 3}, {4, 5, 7, 3}, 
 
   {1, 2, 6}, {4, 7, 6, 2}, {7, 5, 6, 1}}}
;[o]
{{{0, 0, 0}, {1, 0, 0}, {0, 1, 0}, {1, 1, 0}, {0, 0, 1}, 
 
   {1, 0, 1}, {0, 1, 1}}, 
 
  {{1, 2, 3}, {4, 2, 3}, {1, 5, 3}, {4, 5, 7, 3}, 
 
   {1, 2, 6}, {4, 7, 6, 2}, {7, 5, 6, 1}}}
:[font = input; preserveAspect; startGroup]
Show[Graphics3D[Polyhedron3D[vlist[[1]],vlist[[2]]]],
	ViewPoint->{2,3,2.5},Boxed->False]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 262; pictureHeight = 284]
%!
%%Creator: Mathematica
%%AspectRatio: 1.0857 
MathPictureStart
%% Graphics3D
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-0.0620011 1.09775 0.0274437 1.09775 [
[ 0 0 0 0 ]
[ 1 1.0857 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
0 g
0 0 m
1 0 L
1 1.0857 L
0 1.0857 L
closepath
clip
newpath
p
P
p
.002 w
.39723 .0553 m .89233 .28984 L .55781 .56823 L p
.682 .71 .87 r
F P
s
P
p
.002 w
.55781 .56823 m .09988 .39109 L .39723 .0553 L p
.682 .71 .87 r
F P
s
P
p
.002 w
.05016 .88488 m .56608 1.03664 L .55781 .56823 L p
.802 .578 .598 r
F P
s
P
p
.002 w
.55781 .56823 m .09988 .39109 L .05016 .88488 L p
.802 .578 .598 r
F P
s
P
p
.002 w
.94724 .79666 m .56608 1.03664 L .55781 .56823 L p
.442 .291 .58 r
F P
s
P
p
.002 w
.55781 .56823 m .89233 .28984 L .94724 .79666 L p
.442 .291 .58 r
F P
s
P
p
.002 w
.09988 .39109 m .39723 .0553 L .05016 .88488 L closepath p
.277 .123 .484 r
F P
s
P
p
.002 w
.56608 1.03664 m .05016 .88488 L .94724 .79666 L closepath p
.655 .752 .921 r
F P
s
P
p
.002 w
.89233 .28984 m .39723 .0553 L .94724 .79666 L closepath p
.829 .572 .552 r
F P
s
P
p
.002 w
.39723 .0553 m .05016 .88488 L .94724 .79666 L closepath p
.679 .557 .71 r
F P
s
P
p
P
p
P
% End of Graphics
MathPictureEnd

:[font = output; output; inactive; preserveAspect; endGroup]
Graphics3D["<<>>"]
;[o]
-Graphics3D-
:[font = input; preserveAspect; startGroup]
PolytopeVolume[m,b]
:[font = print; inactive; preserveAspect]
The set of vertices is {{0, 0, 0}, {0, 0, 1}, {0, 1, 0}, 
 
   {0, 1, 1}, {1, 0, 0}, {1, 0, 1}, {1, 1, 0}}.
:[font = output; output; inactive; preserveAspect; endGroup]
5/6
;[o]
5
-
6
:[font = section; inactive; preserveAspect]
The volume of a random truncation of the unit cube
:[font = text; inactive; preserveAspect]
Finally, we try to compute the volume of a randomly truncated cube of higher dimension.
:[font = input; preserveAspect; startGroup]
dim=4;

b=Append[Table[1,{dim}],10];

m=Append[IdentityMatrix[dim],
	Table[Random[Integer,{0,10}],{dim}]]
:[font = output; output; inactive; preserveAspect; endGroup]
{{1, 0, 0, 0}, {0, 1, 0, 0}, {0, 0, 1, 0}, {0, 0, 0, 1}, 
 
  {7, 7, 10, 0}}
;[o]
{{1, 0, 0, 0}, {0, 1, 0, 0}, {0, 0, 1, 0}, {0, 0, 0, 1}, 
 
  {7, 7, 10, 0}}
:[font = input; preserveAspect; startGroup]
PolytopeVolume[m,b]
:[font = print; inactive; preserveAspect]
The set of vertices is {{0, 0, 0, 0}, {0, 0, 0, 1}, 
 
   {0, 0, 1, 0}, {0, 0, 1, 1}, {0, 1, 0, 0}, {0, 1, 0, 1}, 
 
          3              3        3
   {0, 1, --, 0}, {0, 1, --, 1}, {-, 1, 0, 0}, 
          10             10       7
 
    3                                               3
   {-, 1, 0, 1}, {1, 0, 0, 0}, {1, 0, 0, 1}, {1, 0, --, 0}, 
    7                                               10
 
          3           3             3
   {1, 0, --, 1}, {1, -, 0, 0}, {1, -, 0, 1}}.
          10          7             7
:[font = output; output; inactive; preserveAspect; endGroup]
473/1470
;[o]
473
----
1470
^*)
